[@rxap/ngx-bootstrap](../wiki/globals) / ModuleApplication

# Class: ModuleApplication\<M, O\>

Defined in: [module-application.ts:18](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/module-application.ts#L18)

## Extends

- [`Application`](../wiki/Class.Application)\<`O`, `NgModuleRef`\<`M`\>\>

## Type Parameters

• **M**

• **O** *extends* [`ModuleApplicationConfig`](../wiki/Interface.ModuleApplicationConfig)

## Constructors

### new ModuleApplication()

> **new ModuleApplication**\<`M`, `O`\>(`environment`, `moduleType`, `options`?, `configLoadOptions`?): [`ModuleApplication`](../wiki/Class.ModuleApplication)\<`M`, `O`\>

Defined in: [module-application.ts:20](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/module-application.ts#L20)

#### Parameters

##### environment

`Environment`

##### moduleType

`Type`\<`M`\>

##### options?

`O`

##### configLoadOptions?

`ConfigLoadOptions`

#### Returns

[`ModuleApplication`](../wiki/Class.ModuleApplication)\<`M`, `O`\>

#### Overrides

[`Application`](../wiki/Class.Application).[`constructor`](../wiki/Class.Application#constructors)

## Properties

### app

> **app**: `null` \| `NgModuleRef`\<`M`\> = `null`

Defined in: [application.ts:35](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L35)

#### Inherited from

[`Application`](../wiki/Class.Application).[`app`](../wiki/Class.Application#app)

***

### config

> **config**: `null` \| `ConfigService`\<`Record`\<`string`, `any`\>\> = `null`

Defined in: [application.ts:37](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L37)

#### Inherited from

[`Application`](../wiki/Class.Application).[`config`](../wiki/Class.Application#config)

***

### configLoadOptions?

> `readonly` `optional` **configLoadOptions**: `ConfigLoadOptions`

Defined in: [application.ts:44](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L44)

#### Inherited from

[`Application`](../wiki/Class.Application).[`configLoadOptions`](../wiki/Class.Application#configloadoptions-1)

***

### environment

> `readonly` **environment**: `Environment`

Defined in: [application.ts:42](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L42)

#### Inherited from

[`Application`](../wiki/Class.Application).[`environment`](../wiki/Class.Application#environment-1)

***

### logger

> **logger**: `null` \| `NGXLogger` = `null`

Defined in: [application.ts:36](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L36)

#### Inherited from

[`Application`](../wiki/Class.Application).[`logger`](../wiki/Class.Application#logger)

***

### options

> `readonly` **options**: `O`

Defined in: [application.ts:43](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L43)

#### Inherited from

[`Application`](../wiki/Class.Application).[`options`](../wiki/Class.Application#options-1)

## Methods

### after()

> **after**(`fnc`): `void`

Defined in: [application.ts:86](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L86)

#### Parameters

##### fnc

[`ApplicationAfterFunction`](../wiki/TypeAlias.ApplicationAfterFunction)\<`NgModuleRef`\<`M`\>\>

#### Returns

`void`

#### Inherited from

[`Application`](../wiki/Class.Application).[`after`](../wiki/Class.Application#after)

***

### before()

> **before**(`fnc`): `void`

Defined in: [application.ts:82](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L82)

#### Parameters

##### fnc

[`ApplicationBeforeFunction`](../wiki/TypeAlias.ApplicationBeforeFunction)\<`O`\>

#### Returns

`void`

#### Inherited from

[`Application`](../wiki/Class.Application).[`before`](../wiki/Class.Application#before)

***

### bootstrap()

> **bootstrap**(): `Promise`\<`void`\>

Defined in: [application.ts:47](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L47)

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](../wiki/Class.Application).[`bootstrap`](../wiki/Class.Application#bootstrap)

***

### create()

> `protected` **create**(): `Promise`\<`NgModuleRef`\<`M`\>\>

Defined in: [module-application.ts:29](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/module-application.ts#L29)

#### Returns

`Promise`\<`NgModuleRef`\<`M`\>\>

#### Overrides

[`Application`](../wiki/Class.Application).[`create`](../wiki/Class.Application#create)

***

### handleAfter()

> `protected` **handleAfter**(`app`, `logger`, `config`): `Promise`\<`void`\>

Defined in: [application.ts:96](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L96)

#### Parameters

##### app

`NgModuleRef`

##### logger

`NGXLogger`

##### config

`ConfigService`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](../wiki/Class.Application).[`handleAfter`](../wiki/Class.Application#handleafter)

***

### handleBefore()

> `protected` **handleBefore**(`config`, `options`): `Promise`\<`void`\>

Defined in: [application.ts:90](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L90)

#### Parameters

##### config

`ConfigService`

##### options

`O`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](../wiki/Class.Application).[`handleBefore`](../wiki/Class.Application#handlebefore)

***

### loadConfig()

> `protected` **loadConfig**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:102](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L102)

#### Parameters

##### environment

`Environment`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](../wiki/Class.Application).[`loadConfig`](../wiki/Class.Application#loadconfig)

***

### prepareConfig()

> `protected` **prepareConfig**(`config`): `void`

Defined in: [module-application.ts:34](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/module-application.ts#L34)

#### Parameters

##### config

`O`

#### Returns

`void`

#### Overrides

[`Application`](../wiki/Class.Application).[`prepareConfig`](../wiki/Class.Application#prepareconfig)

***

### prepareEnvironment()

> `protected` **prepareEnvironment**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:106](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L106)

#### Parameters

##### environment

`Environment`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](../wiki/Class.Application).[`prepareEnvironment`](../wiki/Class.Application#prepareenvironment)
